Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.initialization
[Java] Interface ProjectDescriptor

    public interface ProjectDescriptor

A `ProjectDescriptor` declares the configuration required to create and evaluate a Project.

A `ProjectDescriptor` is created when you add a project to the build from the settings script, using Settings.include or Settings.includeFlat. You can access the descriptors using one of the lookup methods on the Settings object.

Authors:
  Hans Dockter

Method Summary
`java.io.File` | `getBuildFile()` Returns the build file for this project.
`java.lang.String` | `getBuildFileName()` Returns the name of the build file for this project.
`java.util.Set` | `getChildren()` Returns the children of this project, if any.
`java.lang.String` | `getName()` Returns the name of this project.
`ProjectDescriptor` | `getParent()` Returns the parent of this project, if any.
`java.lang.String` | `getPath()` Returns the path of this project.
`java.io.File` | `getProjectDir()` Returns the project directory of this project.
`void` | `setBuildFileName(java.lang.String name)` Sets the name of the build file.
`void` | `setName(java.lang.String name)` Sets the name of this project.
`void` | `setProjectDir(java.io.File dir)` Sets the project directory of this project.

Method Detail

### getBuildFile

    public java.io.File getBuildFile()

  Returns the build file for this project.
  Returns:
    The build file. Never returns null.

### getBuildFileName

    public java.lang.String getBuildFileName()

  Returns the name of the build file for this project. This name is interpreted relative to the project directory.
  Returns:
    The build file name.

### getChildren

    public java.util.Set getChildren()

  Returns the children of this project, if any.
  Returns:
    The children. Returns an empty set if this project does not have any children.

### getName

    public java.lang.String getName()

  Returns the name of this project.
  Returns:
    The name of the project. Never returns null.

### getParent

    public ProjectDescriptor getParent()

  Returns the parent of this project, if any. Returns null if this project is the root project.
  Returns:
    The parent, or null if this is the root project.

### getPath

    public java.lang.String getPath()

  Returns the path of this project. The path can be used as a unique identifier for this project.
  Returns:
    The path. Never returns null.

### getProjectDir

    public java.io.File getProjectDir()

  Returns the project directory of this project.
  Returns:
    The project directory. Never returns null.

### setBuildFileName

    public void setBuildFileName(java.lang.String name)

  Sets the name of the build file. This name is interpreted relative to the project directory.
  Parameters:
    `name` - The build file name. Should not be null.

### setName

    public void setName(java.lang.String name)

  Sets the name of this project.
  Parameters:
    `name` - The new name for the project. Should not be null

### setProjectDir

    public void setProjectDir(java.io.File dir)

  Sets the project directory of this project.
  Parameters:
    `dir` - The new project directory. Should not be null.

Groovy Documentation